import Layout from "@/layout";

const HomeRoutes = {
  path: "/statisticalanalysis",
  component: Layout,
  name: "statisticalanalysis",
  redirect: "/statisticalanalysis/specialgoods",
  //using el svg icon, the elSvgIcon first when at the same time using elSvgIcon and icon
  meta: {
    title: "统计分析",
    elSvgIcon: "Operation",
    roles: ["basic_data_menu"],
  },
  children: [
    {
      path: "/statisticalanalysis/specialgoods",
      name: "specialgoods",
      meta: {
        title: "统计分析",
        roles: ["airline_information_maintenance_page"],
      },
      component: () =>
        import("@/views/statisticalanalysis/specialgoods/index.vue"),
    },
    // {
    //   path: "/BasicsData/deployNode",
    //   name: "DeployNode",
    //   meta: {
    //     title: "节点信息维护",
    //     roles: ["node_information_maintenance_page"],
    //   },
    //   component: () => import("@/views/BasicsData/deployNode/index.vue"),
    // },
    // {
    //   path: "/BasicsData/specialCargoMaintenance",
    //   name: "SpecialCargoMaintenance",
    //   meta: {
    //     title: "特殊货物类型维护",
    //     roles: ["special_cargo_type_maintenance_page"],
    //   },
    //   component: () =>
    //     import("@/views/BasicsData/specialCargoMaintenance/index.vue"),
    // },
    // {
    //   path: "/BasicsData/equipmentMaintenance",
    //   name: "EquipmentMaintenance",
    //   meta: { title: "设备维护", roles: ["equipment_maintenance_page"] },
    //   component: () =>
    //     import("@/views/BasicsData/equipmentMaintenance/index.vue"),
    // },
  ],
};

export default [HomeRoutes];
